Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
timespec Struct Reference

`#include <missing.h>`

## Data Fields
time_t | tv_sec
long | tv_nsec

## Detailed Description

Definition at line 46 of file ripper.y.

## Field Documentation

long timespec::tv_nsec

Definition at line 48 of file ripper.y.

Referenced by datetime_s_now(), getclockofday(), getrusage_time(), lock_func(), nsec2timew(), rb_stat_cmp(), rb_strftime_with_timespec(), rb_time_timeval(), stat_atime(), stat_atimespec(), stat_ctime(), stat_ctimespec(), stat_mtime(), stat_mtimespec(), time_init_0(), time_timespec(), time_timeval(), timeofday(), timespec2timew(), timew2timespec(), and timew2timespec_exact().

time_t timespec::tv_sec

Definition at line 47 of file ripper.y.

Referenced by datetime_s_now(), getclockofday(), getrusage_time(), lock_func(), nsec2timew(), rb_stat_cmp(), rb_strftime_with_timespec(), rb_time_timeval(), stat_atime(), stat_atimespec(), stat_ctime(), stat_ctimespec(), stat_mtime(), stat_mtimespec(), time_init_0(), time_timespec(), time_timeval(), timeofday(), timespec2timew(), timew2timespec(), timew2timespec_exact(), and utime_internal().

The documentation for this struct was generated from the following file:

- include/ruby/missing.h